HamletImpl.EOpt (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.hamlet2, class: HamletImpl, enum: EOpt

Package org.apache.hadoop.yarn.webapp.hamlet2

# Enum Class HamletImpl.EOpt

java.lang.Object
java.lang.Enum<HamletImpl.EOpt>
org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl.EOpt

All Implemented Interfaces:
  `Serializable`, `Comparable<HamletImpl.EOpt>`, `Constable`

Enclosing class:
  HamletImpl

public static enum HamletImpl.EOpt extends Enum<HamletImpl.EOpt>
Element options. (whether it needs end tag, is inline etc.)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ENDTAG`
  needs end(close) tag
  `INLINE`
  The content is inline
  `PRE`
  The content is preformatted

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HamletImpl.EOpt`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HamletImpl.EOpt[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ENDTAG

    public static final HamletImpl.EOpt ENDTAG
    needs end(close) tag

  - ### INLINE

    public static final HamletImpl.EOpt INLINE
    The content is inline

  - ### PRE

    public static final HamletImpl.EOpt PRE
    The content is preformatted

- ## Method Details

  - ### values

    public static HamletImpl.EOpt[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HamletImpl.EOpt valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null